Vla-get-layoutdisplaymargins

提供: GizmoLabs
移動先: 案内検索
構文
(vla-get-layoutdisplaymargins vla-object)


機能
レイアウトの余白表示を取得する。


引数
  • vla-object … PreferencesDisplay の VLAオブジェクト


戻り値
ブール型
  •  :vlax-True : レイアウトの余白が表示される。
  •  :vlax-False : レイアウトの余白は表示されない。


  • MEMO : このプロパティの初期値は True 。
サンプル
(vl-load-com)
(defun c:Example_LayoutDisplayMargins()
    ;; レイアウトの余白表示を切り替えるサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; ペーパー空間に切り換え
    (vla-put-ActiveSpace doc acPaperSpace)
    
    ;; レイアウトの余白の既定値を読み込み
    (setq originalValue (vla-get-LayoutDisplayMargins (vla-get-Display preferences)))
    (alert (strcat "現在のレイアウトの余白表示設定 : " (if (= originalValue :vlax-true) "True"  "False")))

    ;; レイアウトの余白表示をトグルで変更
    (vla-put-LayoutDisplayMargins (vla-get-Display preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-LayoutDisplayMargins (vla-get-Display preferences)))
    (vla-Regen doc acAllViewports)

    (alert (strcat "レイアウトの余白を次に変更: " (if (= newValue :vlax-true) "True"  "False")))

    ;; 戻す
    ;;
    ;; * Note: 戻したくなくばコメントアウトするが良い
    (vla-put-LayoutDisplayMargins (vla-get-Display preferences) originalValue)
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "レイアウトの余白設定を次に戻します : " (if (= originalValue :vlax-true) "True"  "False")))
)

関連事項